using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ekskurzija
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for (int w = 0; w < t; w++)
            {
                string[] s = Console.ReadLine().Split();
                int n = int.Parse(s[0]);
                long m = long.Parse(s[1]);
                int k = int.Parse(s[2]);
                int y = n / k;
                m -= y * k * (y + 1) / 2;
                n -= k * y;
                if (m < 0) Console.WriteLine("Nie");
                for (int i = 0; i < k; i++)
                {
                    n--;
                    if (n < 0) break;
                    m -= (y + 1);
                    if (m < 0) break;
                }
                if (m >= 0) Console.WriteLine("Tak");
                if (n >= 0) Console.WriteLine("Nie");
            }
        }
    }
}